Bug 1394569 - Samba service rules broken
Summary: Samba service rules broken
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-13 17:31 UTC by Paul Black
Modified: 2017-08-08 19:14 UTC (History)
5 users (show)

Fixed In Version: firewalld-0.4.4.2-1.fc25 firewalld-0.4.4.2-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:14:50 UTC


Attachments (Terms of Use)

Description Paul Black 2016-11-13 17:31:12 UTC
Description of problem:
Latest update (from 0.4.3.3-1 to 0.4.4.1) breaks smba service rules.

Version-Release number of selected component (if applicable):
0.4.4.1

How reproducible:
Every time

Steps to Reproduce:
1. Maniuplate samba service rules


# firewall-cmd --add-service=samba
Warning: ALREADY_ENABLED: 'samba' already in 'public'
success
# firewall-cmd --remove-service=samba
Error: INVALID_HELPER: 'nf_conntrack_netbios_ns' not available in kernel

Actual results:
# firewall-cmd --add-service=samba
Warning: ALREADY_ENABLED: 'samba' already in 'public'
success
# firewall-cmd --remove-service=samba
Error: INVALID_HELPER: 'nf_conntrack_netbios_ns' not available in kernel


Expected results:
Rules get inserted and removed

Additional info:
First occurrence of failure messages in journal coincides with update.

Comment 1 Thomas Woerner 2016-11-14 17:16:40 UTC
There is a SELinux issue:

Please have a look at http://people.redhat.com/twoerner/firewalld/0.4.4.1-1/

There you can find an additional policy module definition file for SELinux: firewalld-0.4.4.te

It only allows firewalld to search and analyse if there are usable netfilter conntrack helpers:

allow firewalld_t modules_object_t:dir { getattr open search read };

Please have a look at the file SELINUX.README to be able to enable and use the module.

Comment 2 Paul Black 2016-11-14 18:43:51 UTC
I'm not sure I fully understand: is this a problem that will be fixed with an SELinux update or is this a backwards incompatible update that has broken my firewall?

Comment 3 Thomas Woerner 2016-11-14 19:05:27 UTC
firewalld needs to analyse if there are netfilter conntrack modules and with helpers they provide. This is currently not allowed by selinux-policy.

This should be fixed with an selinux-policy update soon.

Comment 4 Fedora Update System 2016-12-01 14:52:47 UTC
firewalld-0.4.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd8b5f4e1

Comment 5 Fedora Update System 2016-12-01 14:53:42 UTC
firewalld-0.4.4.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2ca3e59b5

Comment 6 Fedora Update System 2016-12-01 14:54:01 UTC
firewalld-0.4.4.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 7 Fedora Update System 2016-12-03 04:28:33 UTC
firewalld-0.4.4.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 8 Fedora Update System 2016-12-03 04:34:52 UTC
firewalld-0.4.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd8b5f4e1

Comment 9 Fedora Update System 2016-12-03 05:41:30 UTC
firewalld-0.4.4.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2ca3e59b5

Comment 10 Paul Black 2016-12-03 14:02:03 UTC
I no longer have F24 but on F25 this update doesn't exhibit the issue. Cheers.

Comment 11 Fedora Update System 2016-12-04 02:27:03 UTC
firewalld-0.4.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-12-04 05:25:22 UTC
firewalld-0.4.4.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-05 17:37:30 UTC
firewalld-0.4.4.2-2.fc23 selinux-policy-3.13.1-158.25.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 14 Fedora Update System 2016-12-13 05:24:49 UTC
firewalld-0.4.4.2-2.fc23, selinux-policy-3.13.1-158.25.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 15 Fedora End Of Life 2017-07-25 23:52:00 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 19:14:50 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.